Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.2 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 27229

Description

I add a legend to the print composer, assign it to the map, it then will not filter its contents by the extents of the map it's associated with. It

continues to show every layer and for layers which are classified, it shows every classification regardless of whether they appear on the

map or not.

After playing around with the options a few times (auto-update on/off, 'update all', filter on/off) the window hangs without resolving.

I don't know if this is connected, but also importing a map as an item from a template, and then setting extents to map canvas causes the

window to hang too.

History

#1 - 2018-11-21 01:19 PM - Giles Manners

This is also happening on occasion to me in 3.4.1.

Any fix?

#2 - 2018-11-21 06:30 PM - Giles Manners

I found out why it was happening to me - looking at the Items panel, it showed that there were two maps on the layout and the legend was referencing a

spurious empty map that nobody seems to have created (not intentionally anyway), and this seems to have caused a glitch. We right clicked on the extra

map, clicked delete, then deleted the legend and added a new legend - and now the filter works.

Thought I would post that in case anyone else has the same issue.

#3 - 2018-11-22 09:44 AM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Closed
